Module java.corba
Package org.omg.PortableInterceptor

## Interface Current

All Superinterfaces:
  Current, CurrentOperations, CurrentOperations, IDLEntity, Object, Serializable

    public interface Current
    extends CurrentOperations, Current, IDLEntity

Portable Interceptors Current (also known as `PICurrent`) is merely a slot table, the slots of which are used by each service to transfer their context data between their context and the request's or reply's service context. Each service which wishes to use PICurrent reserves a slot or slots at initialization time and uses those slots during the processing of requests and replies.

Before an invocation is made, PICurrent is obtained via a call to `ORB.resolve_initial_references( "PICurrent" )`. From within the interception points, the data on PICurrent that has moved from the thread scope to the request scope is available via the `get_slot` operation on the `RequestInfo` object. A PICurrent can still be obtained via `resolve_initial_references`, but that is the Interceptor's thread scope PICurrent.

### Method Summary

### Methods inherited from interface org.omg.PortableInterceptor.CurrentOperations

`get_slot, set_slot`

### Methods inherited from interface org.omg.CORBA.Object

`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`